Insecure Signature Digest Detected - No Allow option

Got a problem with Viscosity or need help? Ask here!

zaphod

Posts: 1
Joined: Thu May 16, 2024 2:40 am

Post by zaphod » Thu May 16, 2024 2:47 am
After updating to latest version I am getting this error when attempting to connect to a particular VPN:

Error: Insecure Signature Digest Detected

The error message suggests that there should be an 'Allow' checkbox to allow the connection to proceed with insecure digest but there is no such checkbox in the dialogue nor anywhere else that I can see within settings for the connection.

James

User avatar
Posts: 2341
Joined: Thu Sep 04, 2008 9:27 pm

Post by James » Thu May 16, 2024 8:45 pm
Hi zaphod,

Unfortunately the checkbox not appearing in version 1.11.1 is a known issue. It has been fixed in the latest beta version. There are a couple of ways you can resolve the issue:

1. You can manually change the “Compatibility” setting to “OpenVPN 2.3”. This can be done under the “Options” tab when editing your connection in Viscosity. You can then save the changes and try reconnecting.
https://www.sparklabs.com/support/kb/ar ... ty-setting

2. You can update to the latest beta version, and try reconnecting. The checkbox should be correctly displayed:
https://www.sparklabs.com/support/kb/ar ... -versions/

You can find more information on the message below. A better long-term solution is to get your VPN Provider to update the certificates to use a secure digest (such as SHA256).
https://www.sparklabs.com/support/kb/ar ... -detected/

Cheers,
James
Web: https://www.sparklabs.com
Support: https://www.sparklabs.com/support
Twitter: https://twitter.com/sparklabs
2 posts Page 1 of 1